#
# spec file for package python-WMI
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-WMI
Version:        1.4.9
Release:        2.1
Summary:        Windows Management Instrumentation
License:        MIT
Group:          Development/Languages/Python
Url:            http://timgolden.me.uk/python/wmi.html
Source:         https://pypi.python.org/packages/source/W/WMI/WMI-%{version}.zip
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Windows Management Instrumentation (WMI) is Microsoft's implementation of
Web-Based Enterprise Management (WBEM), an industry initiative to provide
a Common Information Model (CIM) for pretty much any information about a
computer system.

The Python WMI module is a lightweight wrapper on top of the pywin32
extensions, and hides some of the messy plumbing needed to get Python to
talk to the WMI API. It's pure Python and should work with any version of
Python from 2.1 onwards (list comprehensions) and any recent version of
pywin32.

%prep
%setup -q -n WMI-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm %{buildroot}/usr/readme.txt
rm %{buildroot}/%{_bindir}/wmitest.master.ini
rm %{buildroot}/%{_bindir}/wmitest.cmd

%files
%defattr(-,root,root,-)
%doc readme.txt
%{_bindir}/wmitest.py
%{_bindir}/wmiweb.py
%{python_sitelib}/*

%changelog
* Wed Aug 26 2015 tbechtold@suse.com
- Initial packaging (version 1.4.9)
